import dbus
import dbusmock

class ServiceMock(dbus.Interface):
	def __init__(self):
		dbus.Interface.__init__(
			self,
			self.dbus_con.get_object(
				'org.freedesktop.secrets',
				'/org/freedesktop/secrets'
			),
			'org.freedesktop.DBus.Mock'
		)
		self.AddProperties('', {
			'Collections': []
		})

	@dbus.service.method(dbusmock.MOCK_IFACE, in_signature='ao',
		out_signature='aoo')
	def Unlock(self, objects):
		return objects, '/'

	@dbus.service.method(dbusmock.MOCK_IFACE, in_signature='ao',
		out_signature='aoo')
	def Lock(self, objects):
		return objects, '/'
